#' Building augmented data for multi-state models: the \code{msmtools} package
#'
#' \code{msmtools} introduces a fast and general method for restructuring classical longitudinal datasets
#' into \emph{augmented} ones. Augmented data enhances longitudinal datasets and allow to model each
#' transition under a multi-state framework. \code{msmtools} works in symbiosis with the
#' \code{\link[msm]{msm}} package.
#' It also provides two graphical goodness-of-fit tools to inspect the model performances using
#' survival curves and prevalences under the Markov assumption.
#' \code{msmtools} comes with 4 functions: \code{augment}, \code{polish},
#' \code{prevplot}, and \code{survplot}.
#'
#' @docType package
#' @name msmtools
NULL
#> NULL
